当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 9 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 安装texlive失败,又无法卸载,求助!
帖子发表于 : 2010-01-04 15:26 
头像

注册: 2008-08-06 13:24
帖子: 130
送出感谢: 1
接收感谢: 0 次
系统: ubuntu 9.10

代码:
sudo aptitude install texlive
后,想把windows下的localtexmf复制过来使用(里面有字体),然后我手动把

代码:
/usr/share/
/usr/local/share


下的所有tex文件删除,准备重新安装。

却发现aptitude已经不能安装texlive了。

请问我现在该怎么做?


p.s.: ubuntu 源里面的texlive好像是2007的,能从源安装2008或2009吗?我是教育网,外网流量很贵的。


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 安装texlive失败,又无法卸载,求助!
帖子发表于 : 2010-01-04 15:36 
头像

注册: 2010-01-03 12:38
帖子: 1486
地址: 你他妈找死啊
送出感谢: 0 次
接收感谢: 0 次
为啥不能安装 :?
从官网下最新的 :D


_________________
    我希望我的心上人也能理解这一点,这一切的开始并不是为了什么价值、责任、过去或是未来,这一切甚至不是为了现在,这一切只是源于passion。


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 安装texlive失败,又无法卸载,求助!
帖子发表于 : 2010-01-04 15:50 
头像

注册: 2008-08-06 13:24
帖子: 130
送出感谢: 1
接收感谢: 0 次
pocoyo 写道:
为啥不能安装 :?
从官网下最新的 :D



我教育网,外网流量很贵,所以不能从官方下载;下面是安装的错误信息:

代码:
~ $ sudo aptitude install -f texlive
[sudo] password for nick:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成
正在读取扩展状态文件     
正在初始化软件包状态... 完成
下列仅部分安装的软件包将被配置:
  dvipdfmx latex-beamer latex-xcolor lmodern pgf prosper tex-common texlive
  texlive-base texlive-base-bin texlive-base-bin-doc texlive-common
  texlive-doc-base texlive-doc-en texlive-extra-utils
  texlive-fonts-recommended texlive-fonts-recommended-doc
  texlive-generic-recommended texlive-latex-base texlive-latex-base-doc
  texlive-latex-recommended texlive-latex-recommended-doc texlive-pstricks
  texlive-pstricks-doc texlive-xetex tipa
0 个软件包被升级,新安装 0 个, 0 个将被删除, 同时 2 个将不升级。
需要获取 0B 的存档。 解包后将要使用 0B。
正在编辑扩展状态信息... 完成
正在设置 tex-common (1.20) ...
debconf: 无法初始化前端界面:Dialog
debconf: (对话框界面将不能在哑终端上运行,例如 Emacs shell 缓存,或者没有控制终端。)
debconf: 返回前端界面:Readline
Running mktexlsr. This may take some time... done.
Running updmap-sys. This may take some time...
updmap-sys failed. Output has been stored in
/tmp/updmap.I8oiazlq
Please include this file if you report a bug.

Sometimes, not accepting conffile updates in /etc/texmf/updmap.d
causes updmap-sys to fail.  Please check for files with extension
.dpkg-dist or .ucf-dist in this directory

dpkg:处理 tex-common (--configure)时出错:
 子进程 已安装的 post-installation 脚本 返回了错误号 1
dpkg:依赖关系问题使得 texlive-common 的配置工作不能继续:
 texlive-common 依赖于 tex-common (>= 1.8);然而:
  软件包 tex-common 还没有被配置。
dpkg:处理 texlive-common (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-base-bin 的配置工作不能继续:
 texlive-base-bin 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
 texlive-base-bin 依赖于 texlive-common (>= 2007);然而:
  软件包 texlive-common 还没有被配置。
dpkg:处理 texlive-base-bin (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 dvipdfmx 的配置工作不能继续:
 dvipdfmx 依赖于 texlive-base-bin;然而:
  软件包 texlive-base-bin 还没有被配置。
dpkg:处理 dvipdfmx (--configure)时出错:
 依赖关系没有写入 apport 报告,因为错误信息指示它是从上一个失败导致的。
没有写入 apport 报告,因为错误信息指示它是从上一个失败导致的。
没有写入 apport 报告,因为已经达到最大报告数
没有写入 apport 报告,因为已经达到最大报告数
没有写入 apport 报告,因为已经达到最大报告数
没有写入 apport 报告,因为已经达到最大报告数
没有写入 apport 报告,因为已经达到最大报告数
没有写入 apport 报告,因为已经达到最大报告数
没有写入 apport 报告,因为已经达到最大报告数
没有写入 apport 报告,因为已经达到最大报告数
没有写入 apport 报告,因为已经达到最大报告数
没有写入 apport 报告,因为已经达到最大报告数
问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-doc-base 的配置工作不能继续:
 texlive-doc-base 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
 texlive-doc-base 依赖于 texlive-common (>= 2007);然而:
  软件包 texlive-common 还没有被配置。
dpkg:处理 texlive-doc-base (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-base 的配置工作不能继续:
 texlive-base 依赖于 texlive-doc-base (>= 2007);然而:
  软件包 texlive-doc-base 还没有被配置。
 texlive-base 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
 texlive-base 依赖于 texlive-base-bin (>= 2007-13);然而:
  软件包 texlive-base-bin 还没有被配置。
 texlive-base 依赖于 texlive-common (>= 2007);然而:
  软件包 texlive-common 还没有被配置。
dpkg:处理 texlive-base (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-latex-base 的配置工作不能继续:
 texlive-latex-base 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
 texlive-latex-base 依赖于 texlive-base (>= 2007-11);然而:
  软件包 texlive-base 还没有被配置。
 texlive-latex-base 依赖于 texlive-common (>= 2007);然而:
  软件包 texlive-common 还没有被配置。
dpkg:处理 texlive-latex-base (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-latex-recommended 的配置工作不能继续:
 texlive-latex-recommended 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
 texlive-latex-recommended 依赖于 texlive-common (>= 2007);然而:
  软件包 texlive-common 还没有被配置。
 texlive-latex-recommended 依赖于 texlive-latex-base (>= 2007-11);然而:
  软件包 texlive-latex-base 还没有被配置。
dpkg:处理 texlive-latex-recommended (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 latex-xcolor 的配置工作不能继续:
 latex-xcolor 依赖于 texlive-latex-recommended;然而:
  软件包 texlive-latex-recommended 还没有被配置。
dpkg:处理 latex-xcolor (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 pgf 的配置工作不能继续:
 pgf 依赖于 latex-xcolor (>= 2.00-1);然而:
  软件包 latex-xcolor 还没有被配置。
 pgf 依赖于 texlive-latex-recommended;然而:
  软件包 texlive-latex-recommended 还没有被配置。
dpkg:处理 pgf (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 latex-beamer 的配置工作不能继续:
 latex-beamer 依赖于 pgf (>= 1.00-1);然而:
  软件包 pgf 还没有被配置。
 latex-beamer 依赖于 latex-xcolor (>= 2.00-1);然而:
  软件包 latex-xcolor 还没有被配置。
 latex-beamer 依赖于 texlive-latex-base;然而:
  软件包 texlive-latex-base 还没有被配置。
dpkg:处理 latex-beamer (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 lmodern 的配置工作不能继续:
 lmodern 依赖于 tex-common (>= 1.10);然而:
  软件包 tex-common 还没有被配置。
dpkg:处理 lmodern (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-generic-recommended 的配置工作不能继续:
 texlive-generic-recommended 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
 texlive-generic-recommended 依赖于 texlive-base (>= 2007-11);然而:
  软件包 texlive-base 还没有被配置。
 texlive-generic-recommended 依赖于 texlive-common (>= 2007);然而:
  软件包 texlive-common 还没有被配置。
dpkg:处理 texlive-generic-recommended (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-pstricks 的配置工作不能继续:
 texlive-pstricks 依赖于 texlive-generic-recommended (>= 2007-11);然而:
  软件包 texlive-generic-recommended 还没有被配置。
 texlive-pstricks 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
 texlive-pstricks 依赖于 texlive-base (>= 2007-11);然而:
  软件包 texlive-base 还没有被配置。
 texlive-pstricks 依赖于 texlive-common (>= 2007);然而:
  软件包 texlive-common 还没有被配置。
dpkg:处理 texlive-pstricks (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 prosper 的配置工作不能继续:
 prosper 依赖于 texlive-latex-base;然而:
  软件包 texlive-latex-base 还没有被配置。
 prosper 依赖于 texlive-pstricks;然而:
  软件包 texlive-pstricks 还没有被配置。
 prosper 依赖于 texlive-latex-recommended;然而:
  软件包 texlive-latex-recommended 还没有被配置。
 prosper 依赖于 tex-common (>= 1.10);然而:
  软件包 tex-common 还没有被配置。
dpkg:处理 prosper (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-fonts-recommended 的配置工作不能继续:
 texlive-fonts-recommended 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
 texlive-fonts-recommended 依赖于 texlive-base (>= 2007-11);然而:
  软件包 texlive-base 还没有被配置。
 texlive-fonts-recommended 依没有写入 apport 报告,因为已经达到最大报告数
没有写入 apport 报告,因为已经达到最大报告数
没有写入 apport 报告,因为已经达到最大报告数
没有写入 apport 报告,因为已经达到最大报告数
没有写入 apport 报告,因为已经达到最大报告数
没有写入 apport 报告,因为已经达到最大报告数
没有写入 apport 报告,因为已经达到最大报告数
没有写入 apport 报告,因为已经达到最大报告数
没有写入 apport 报告,因为已经达到最大报告数
没有写入 apport 报告,因为已经达到最大报告数
没有写入 apport 报告,因为已经达到最大报告数
没有写入 apport 报告,因为已经达到最大报告数
赖于 texlive-common (>= 2007);然而:
  软件包 texlive-common 还没有被配置。
dpkg:处理 texlive-fonts-recommended (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive 的配置工作不能继续:
 texlive 依赖于 texlive-fonts-recommended (>= 2007-11);然而:
  软件包 texlive-fonts-recommended 还没有被配置。
 texlive 依赖于 texlive-latex-recommended (>= 2007-11);然而:
  软件包 texlive-latex-recommended 还没有被配置。
 texlive 依赖于 texlive-latex-base (>= 2007-11);然而:
  软件包 texlive-latex-base 还没有被配置。
dpkg:处理 texlive (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-base-bin-doc 的配置工作不能继续:
 texlive-base-bin-doc 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
dpkg:处理 texlive-base-bin-doc (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-doc-en 的配置工作不能继续:
 texlive-doc-en 依赖于 texlive-doc-base (>= 2007);然而:
  软件包 texlive-doc-base 还没有被配置。
 texlive-doc-en 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
 texlive-doc-en 依赖于 texlive-common (>= 2007);然而:
  软件包 texlive-common 还没有被配置。
dpkg:处理 texlive-doc-en (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-extra-utils 的配置工作不能继续:
 texlive-extra-utils 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
 texlive-extra-utils 依赖于 texlive-base (>= 2007-11);然而:
  软件包 texlive-base 还没有被配置。
 texlive-extra-utils 依赖于 texlive-common (>= 2007);然而:
  软件包 texlive-common 还没有被配置。
dpkg:处理 texlive-extra-utils (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-fonts-recommended-doc 的配置工作不能继续:
 texlive-fonts-recommended-doc 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
 texlive-fonts-recommended-doc 依赖于 texlive-common (>= 2007);然而:
  软件包 texlive-common 还没有被配置。
dpkg:处理 texlive-fonts-recommended-doc (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-latex-base-doc 的配置工作不能继续:
 texlive-latex-base-doc 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
 texlive-latex-base-doc 依赖于 texlive-common (>= 2007);然而:
  软件包 texlive-common 还没有被配置。
dpkg:处理 texlive-latex-base-doc (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-latex-recommended-doc 的配置工作不能继续:
 texlive-latex-recommended-doc 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
 texlive-latex-recommended-doc 依赖于 texlive-common (>= 2007);然而:
  软件包 texlive-common 还没有被配置。
dpkg:处理 texlive-latex-recommended-doc (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-pstricks-doc 的配置工作不能继续:
 texlive-pstricks-doc 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
 texlive-pstricks-doc 依赖于 texlive-common (>= 2007);然而:
  软件包 texlive-common 还没有被配置。
dpkg:处理 texlive-pstricks-doc (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-xetex 的配置工作不能继续:
 texlive-xetex 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
 texlive-xetex 依赖于 texlive-base (>= 2007-11);然而:
  软件包 texlive-base 还没有被配置。
 texlive-xetex 依赖于 dvipdfmx;然而:
  软件包 dvipdfmx 还没有被配置。
 texlive-xetex 依赖于 texlive-common (>= 2007);然而:
  软件包 texlive-common 还没有被配置。
dpkg:处理 texlive-xetex (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 tipa 的配置工作不能继续:
 tipa 依赖于 texlive-latex-base;然而:
  软件包 texlive-latex-base 还没有被配置。
 tipa 依赖于 texlive-base-bin;然而:
  软件包 texlive-base-bin 还没有被配置。
 tipa 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
dpkg:处理 tipa (--configure)时出错:
 依赖关系问题 - 仍未被配置
没有写入 apport 报告,因为已经达到最大报告数
在处理时有错误发生:
 tex-common
 texlive-common
 texlive-base-bin
 dvipdfmx
 texlive-doc-base
 texlive-base
 texlive-latex-base
 texlive-latex-recommended
 latex-xcolor
 pgf
 latex-beamer
 lmodern
 texlive-generic-recommended
 texlive-pstricks
 prosper
 texlive-fonts-recommended
 texlive
 texlive-base-bin-doc
 texlive-doc-en
 texlive-extra-utils
 texlive-fonts-recommended-doc
 texlive-latex-base-doc
 texlive-latex-recommended-doc
 texlive-pstricks-doc
 texlive-xetex
 tipa
E: Sub-process /usr/bin/dpkg returned an error code (1)
软件包安装失败。正在试图恢复:
正在设置 tex-common (1.20) ...
debconf: 无法初始化前端界面:Dialog
debconf: (对话框界面将不能在哑终端上运行,例如 Emacs shell 缓存,或者没有控制终端。)
debconf: 返回前端界面:Readline
Running mktexlsr. This may take some time... done.
Running updmap-sys. This may take some time...
updmap-sys failed. Output has been stored in
/tmp/updmap.2YKNujgd
Please include this file if you report a bug.

Sometimes, not accepting conffile updates in /etc/texmf/updmap.d
causes updmap-sys to fail.  Please check for files with extension
.dpkg-dist or .ucf-dist in this directory

dpkg:处理 tex-common (--configure)时出错:
 子进程 已安装的 post-installation 脚本 返回了错误号 1
dpkg:依赖关系问题使得 prosper 的配置工作不能继续:
 prosper 依赖于 tex-common (>= 1.10);然而:
  软件包 tex-common 还没有被配置。
dpkg:处理 prosper (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-base 的配置工作不能继续:
 texlive-base 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
dpkg:处理 texlive-base (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-generic-recommended 的配置工作不能继续:
 texlive-generic-recommended 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
 texlive-generic-recommended 依赖于 texlive-base (>= 2007-11);然而:
  软件包 texlive-base 还没有被配置。
dpkg:处理 texlive-generic-recommended (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-doc-base 的配置工作不能继续:
 texlive-doc-base 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
dpkg:处理 texlive-doc-base (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-pstricks-doc 的配置工作不能继续:
 texlive-pstricks-doc 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
dpkg:处理 texlive-pstricks-doc (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-fonts-recommended 的配置工作不能继续:
 texlive-fonts-recommended 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
 texlive-fonts-recommended 依赖于 texlive-base (>= 2007-11);然而:
  软件包 texlive-base 还没有被配置。
dpkg:处理 texlive-fonts-recommended (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-base-bin 的配置工作不能继续:
 texlive-base-bin 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
dpkg:处理 texlive-base-bin (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-base-bin-doc 的配置工作不能继续:
 texlive-base-bin-doc 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
dpkg:处理 texlive-base-bin-doc (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-latex-recommended-doc 的配置工作不能继续:
 texlive-latex-recommended-doc 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
dpkg:处理 texlive-latex-recommended-doc (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-latex-recommended 的配置工作不能继续:
 texlive-latex-recommended 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
dpkg:处理 texlive-latex-recommended (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-pstricks 的配置工作不能继续:
 texlive-pstricks 依赖于 texlive-generic-recommended (>= 2007-11);然而:
  软件包 texlive-generic-recommended 还没有被配置。
 texlive-pstricks 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
 texlive-pstricks 依赖于 texlive-base (>= 2007-11);然而:
  软件包 texlive-base 还没有被配置。
dpkg:处理 texlive-pstricks (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 tipa 的配置工作不能继续:
 tipa 依赖于 texlive-base-bin;然而:
  软件包 texlive-base-bin 还没有被配置。
 tipa 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
dpkg:处理 tipa (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-latex-base 的配置工作不能继续:
 texlive-latex-base 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
 texlive-latex-base 依赖于 texlive-base (>= 2007-11);然而:
  软件包 texlive-base 还没有被配置。
dpkg:处理 texlive-latex-base (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-fonts-recommended-doc 的配置工作不能继续:
 texlive-fonts-recommended-doc 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
dpkg:处理 texlive-fonts-recommended-doc (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 latex-beamer 的配置工作不能继续:
 latex-beamer 依赖于 texlive-latex-base;然而:
  软件包 texlive-latex-base 还没有被配置。
dpkg:处理 latex-beamer (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-latex-base-doc 的配置工作不能继续:
 texlive-latex-base-doc 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
dpkg:处理 texlive-latex-base-doc (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-common 的配置工作不能继续:
 texlive-common 依赖于 tex-common (>= 1.8);然而:
  软件包 tex-common 还没有被配置。
dpkg:处理 texlive-common (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-xetex 的配置工作不能继续:
 texlive-xetex 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
 texlive-xetex 依赖于 texlive-base (>= 2007-11);然而:
  软件包 texlive-base 还没有被配置。
 texlive-xetex 依赖于 texlive-common (>= 2007);然而:
  软件包 texlive-common 还没有被配置。
dpkg:处理 texlive-xetex (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-extra-utils 的配置工作不能继续:
 texlive-extra-utils 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
 texlive-extra-utils 依赖于 texlive-base (>= 2007-11);然而:
  软件包 texlive-base 还没有被配置。
 texlive-extra-utils 依赖于 texlive-common (>= 2007);然而:
  软件包 texlive-common 还没有被配置。
dpkg:处理 texlive-extra-utils (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive 的配置工作不能继续:
 texlive 依赖于 texlive-fonts-recommended (>= 2007-11);然而:
  软件包 texlive-fonts-recommended 还没有被配置。
 texlive 依赖于 texlive-latex-recommended (>= 2007-11);然而:
  软件包 texlive-latex-recommended 还没有被配置。
 texlive 依赖于 texlive-latex-base (>= 2007-11);然而:
  软件包 texlive-latex-base 还没有被配置。
dpkg:处理 texlive (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 texlive-doc-en 的配置工作不能继续:
 texlive-doc-en 依赖于 texlive-doc-base (>= 2007);然而:
  软件包 texlive-doc-base 还没有被配置。
 texlive-doc-en 依赖于 tex-common (>= 1.18);然而:
  软件包 tex-common 还没有被配置。
 texlive-doc-en 依赖于 texlive-common (>= 2007);然而:
  软件包 texlive-common 还没有被配置。
dpkg:处理 texlive-doc-en (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 lmodern 的配置工作不能继续:
 lmodern 依赖于 tex-common (>= 1.10);然而:
  软件包 tex-common 还没有被配置。
dpkg:处理 lmodern (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 dvipdfmx 的配置工作不能继续:
 dvipdfmx 依赖于 texlive-base-bin;然而:
  软件包 texlive-base-bin 还没有被配置。
dpkg:处理 dvipdfmx (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 latex-xcolor 的配置工作不能继续:
 latex-xcolor 依赖于 texlive-latex-recommended;然而:
  软件包 texlive-latex-recommended 还没有被配置。
dpkg:处理 latex-xcolor (--configure)时出错:
 依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 pgf 的配置工作不能继续:
 pgf 依赖于 latex-xcolor (>= 2.00-1);然而:
  软件包 latex-xcolor 还没有被配置。
 pgf 依赖于 texlive-latex-recommended;然而:
  软件包 texlive-latex-recommended 还没有被配置。
dpkg:处理 pgf (--configure)时出错:
 依赖关系问题 - 仍未被配置
在处理时有错误发生:
 tex-common
 prosper
 texlive-base
 texlive-generic-recommended
 texlive-doc-base
 texlive-pstricks-doc
 texlive-fonts-recommended
 texlive-base-bin
 texlive-base-bin-doc
 texlive-latex-recommended-doc
 texlive-latex-recommended
 texlive-pstricks
 tipa
 texlive-latex-base
 texlive-fonts-recommended-doc
 latex-beamer
 texlive-latex-base-doc
 texlive-common
 texlive-xetex
 texlive-extra-utils
 texlive
 texlive-doc-en
 lmodern
 dvipdfmx
 latex-xcolor
 pgf
正在读取软件包列表... 完成
正在分析软件包的依赖关系树       
正在读取状态信息... 完成
正在读取扩展状态文件       
正在初始化软件包状态... 完成


很长,不过我不明白问题出在哪里了?


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 安装texlive失败,又无法卸载,求助!
帖子发表于 : 2010-01-04 16:12 

注册: 2006-10-14 22:07
帖子: 789
送出感谢: 0 次
接收感谢: 0 次
去你们学校bbs问一下数学院的同学谁下载了texlive2009.iso,挂载iso用tl省心


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 安装texlive失败,又无法卸载,求助!
帖子发表于 : 2010-01-04 16:21 
头像

注册: 2008-08-06 13:24
帖子: 130
送出感谢: 1
接收感谢: 0 次
bodhi 写道:
去你们学校bbs问一下数学院的同学谁下载了texlive2009.iso,挂载iso用tl省心


这倒是个好办法。可是我现在不能用aptitude装其他软件了,每次他都要重新检查texlive然后就是上面的错误信息,停止。

也就是说,aptitude不能用了:(

得想办法让aptitude能用才行阿!


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 安装texlive失败,又无法卸载,求助!
帖子发表于 : 2010-01-05 13:14 
头像

注册: 2008-08-06 13:24
帖子: 130
送出感谢: 1
接收感谢: 0 次
我从教育网ipv6上下载到了texlive2009.安装完毕。

其中手动删除texlive导致无法用apt安装,手动删除/var/lib/dpkg/下的所有关于texlive的记录,又搞坏了apt和dpkg. 已经修复了。希望大家不要翻和我一样的错误。


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 安装texlive失败,又无法卸载,求助!
帖子发表于 : 2010-01-05 16:18 

注册: 2009-08-01 9:50
帖子: 645
地址: 泰安人在青岛
送出感谢: 0 次
接收感谢: 0 次
有没有下载texlive2009的链接阿?谢了阿


_________________
不能养成臭毛病.


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 安装texlive失败,又无法卸载,求助!
帖子发表于 : 2010-01-12 14:12 

注册: 2009-08-01 9:50
帖子: 645
地址: 泰安人在青岛
送出感谢: 0 次
接收感谢: 0 次
等楼主


_________________
不能养成臭毛病.


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 安装texlive失败,又无法卸载,求助!
帖子发表于 : 2010-01-12 19:11 
头像

注册: 2008-08-06 13:24
帖子: 130
送出感谢: 1
接收感谢: 0 次
texlive2009可以到官方
http://www.tug.org/texlive/下载,也可以到ctex下载:
http://ftp.ctex.org/mirrors/CTAN/systems/texlive/image文件夹里就是,不过要用7z解压。

如果你是教育网,并且你们学校开通了ipv6,那就好办了:
上海交大的ipv6资源搜索引擎
http://search6.sjtu.edu.cn/搜索一下,所有学校的ftp资源都可以下载。而且不走流量,速度很快。
(要用支持ipv6的ftp客户端)

【我是在哈工大的ftp上下载的,我在北京交通大学。ftp客户端用的是filezilla. 系统是ubuntu.】

哈工大texlive2009下载ftp地址:
ftp://soft.hit.edu.cn/software/Science/TeX&LaTeX/TeXsoftware/Systems/TeXLive/


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 9 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 5 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译